# QCA::Hex Class Reference
[QCA user API]

Hexadecimal encoding / decoding. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::Hex:

Collaboration diagram for QCA::Hex:

[legend]

List of all members.

## Public Member Functions

virtual void | clear ()
virtual MemoryRegion | final ()
| Hex (Direction dir=Encode)
virtual bool | ok () const
virtual MemoryRegion | update (const MemoryRegion &a)

## Detailed Description

Hexadecimal encoding / decoding.

Examples:

  hextest.cpp, and randomtest.cpp.

## Constructor & Destructor Documentation

QCA::Hex::Hex | ( | Direction | dir = `Encode` | ) |

Standard constructor.

Parameters:

  | dir | the Direction that should be used.

Note:
  The direction can be changed using the setup() call.

## Member Function Documentation

virtual void QCA::Hex::clear | ( |  | ) | `[virtual]`

Reset the internal state.

This is useful to reuse an existing Hex object

Implements QCA::Filter.

virtual MemoryRegion QCA::Hex::final | ( |  | ) | `[virtual]`

Complete the algorithm.

Returns:
  any remaining output. Because of the way hexadecimal encoding works, this will return a zero length array - any output will have been returned from the update() call.

Implements QCA::Filter.

virtual bool QCA::Hex::ok | ( |  | ) | const`[virtual]`

Test if an update() or final() call succeeded.

Returns:
  true if the previous call succeeded

Implements QCA::Filter.

virtual MemoryRegion QCA::Hex::update | ( | const MemoryRegion & | a | ) | `[virtual]`

Process more data, returning the corresponding encoded or decoded (depending on the Direction set in the constructor or setup() call) representation.

If you find yourself with code that only calls this method once, you might be better off using encode() or decode(). Similarly, if the data is really a string, you might be better off using arrayToString(), encodeString(), stringToArray() or decodeString().

Parameters:

  | a | the array containing data to process

Implements QCA::Filter.

The documentation for this class was generated from the following file:

- qca_textfilter.h